package com.ywt.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "hospital")
public class Hospital implements Serializable {

  @Id
  @Column(name = "id",nullable = false)
  private Integer id;

  /**
   * 名称
   */
  @Column(name = "name",nullable = false)
  private String name;

  /**
   * 地址
   */
  private String address;

  /**
   * 电话
   */
  private String tellphone;

  /**
   * 医院编码
   */
  private String code;

  /**
   * 创建时间
   */
  @Column(name = "create_time", nullable = false)
  private Date createTime;

  /**
   * 修改时间
   */
  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 是否删除（标识物理删除）
   */
  @Column(name = "is_deleted", nullable = false)
  private Boolean isDeleted;

  /**
   * 医院级别（
   * 1：三级甲等；2：三级已等；3：三级丙等
   * 4：二级甲等；5：二级已等；6：二级丙等
   * 7：一级甲等；8：一级已等；9：一级丙等
   * ）
   */
  @Column(name = "level", nullable = false)
  private Integer level;

  /**
   * 医院状态（1-禁用，0-正常，默认为0）
   */
  @Column(name = "status", nullable = false)
  private Integer status;

  /**
   * 权重，数字越大，排序越靠前
   */
  @Column(name = "weight")
  private Integer weight;

  /**
   * 对应area表id
   */
  @Column(name = "area_ids")
  private String areaIds;


  /**
   * 医院logo
   */
  @Column(name = "logo")
  private String logo;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public String getTellphone() {
    return tellphone;
  }

  public void setTellphone(String tellphone) {
    this.tellphone = tellphone;
  }

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public Date getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  public Date getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  public Boolean getIsDeleted() {
    return isDeleted;
  }

  public Boolean isDeleted() {
    return isDeleted;
  }

  public void setIsDeleted(Boolean deleted) {
    this.isDeleted = deleted;
  }

  public Integer getLevel() {
    return level;
  }

  public void setLevel(Integer level) {
    this.level = level;
  }

  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public Integer getWeight() {
    return weight;
  }

  public void setWeight(Integer weight) {
    this.weight = weight;
  }

  public String getAreaIds() {
    return areaIds;
  }

  public void setAreaIds(String areaIds) {
    this.areaIds = areaIds;
  }

  public String getLogo() {
    return logo;
  }

  public void setLogo(String logo) {
    this.logo = logo;
  }
}